.custom-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #0000001F;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 66px;
  box-sizing: border-box;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.custom-popup.active {
  display: flex;
  opacity: 1;
}

.custom-popup-content {
  background: white;
  padding: 16px;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  max-width: 347px;
  width: 90%;
  text-align: center;
}

.custom-popup-error {
  color: black;
  font-weight: 500;
  font-size: 18px;
  margin-bottom: 8px;
}

.custom-popup-warning {
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 400;
  font-size: 14px;
  margin-bottom: 16px;

}

.custom-popup-accept {
  display: block;
  margin: 0 auto;
  background-color: var(--color-accent);
  border: none;
  padding: 6px 58px;
  font-weight: 500;
  font-size: 17px;
  cursor: pointer;
  font-family: var(--font-primary);
}

.custom-popup-icon {
  width: 20px;
  height: auto;
  margin-right: 8px;
}

.custom-popup-message {
  color: #F04040;
  font-size: 16px;
  margin: 0;
}

.custom-popup-accept:hover {
  background-color: #CDFF30;
}

.quiz-content__input-field.error {
  color: #F04040;
}

.hidden {
  display: none;
}

@media (min-width: 769px) {

  .custom-popup {
    background: unset;
  }
}